@import url(./globals.css);

html {
    font-family: 'Open Sans', sans-serif;
}

header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    justify-items: center;
    background-color: var(--cor-amarelo-ouro);
    padding: 2rem;
    text-align: center;
    color: var(--cor-fundo);
    font-weight: bold;
    font-size: 2rem;
}

#header__icon {
    font-size: 3rem;
    padding-right: 0.5rem;
}

.troca__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 7rem);
}

.troca__title {
    margin-bottom: 1.5rem;
}

.troca__label {
    margin-bottom: 0.5rem;
    margin-left: 0.4rem;
    font-weight: 500;
}

.troca__input {
    margin-bottom: 0.7rem;
    border: 0.2rem solid var(--cor-amarelo-ouro);
    border-radius: 1.5rem;
    height: 2.5rem;
    background-color: var(--cor-fundo);
}

#form {
    display: flex;
    flex-direction: column;
    padding: 3rem;
    background-color: #f7f7f7;
    width: 25vw;
}

.troca__description-container {
    background-color: #dfdfdf;
    padding: 1rem 1.5rem;
    margin-bottom: 1.3rem;
}

@media only screen and (max-width: 600px) {
    #form {
        width: 90vw;
    }
}

#submit {
    margin-top: 0.8rem;
    align-self: center;
    border: 0.2rem solid var(--cor-amarelo-ouro);
    background-color: var(--cor-fundo);
    border-radius: 1.5rem;
    padding: 0.5rem 2rem;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: 500;
    font-size: 1.3rem;
    transition: background-color 0.5s ease;
}

#submit:hover {
    background-color: #dfe0d2;
    transition: background-color 0.5s ease;
    cursor: pointer;
}